/*
 * Copyright (C) 2023 CERN (www.cern.ch)
 * Author: Adam Wujek
 *
 * Released according to the GNU LGPL, version 2.1 or any later version.
 */

#ifndef _PPSI_SET_PARAM_H_
#define _PPSI_SET_PARAM_H_

int set_param_delay_coefficient64(struct pp_instance *ppi,
				  int64_t delay_coefficient);
void set_param_ptpVersion(struct pp_instance *ppi);
void set_param_externalPortConfiguration_desiredState(struct pp_instance *ppi,
						      int desiredState);
int set_param_delta_rxm64(struct pp_globals *ppg, int delta_rxm);
int set_param_delta_txm64(struct pp_globals *ppg, int delta_txm);
int set_param_egress_latency64(struct pp_instance *ppi, int64_t egress_latency);
int set_param_ingress_latency64(struct pp_instance *ppi,
				int64_t ingress_latency);
int set_param_constant_asymmetry64(struct pp_instance *ppi,
				   int64_t constantAsymmetry);

#endif /* _PPSI_SET_PARAM_H_ */
